Hoofdstuk 2. GIMP opstarten
| Deel I. Aan de slag |

## Hoofdstuk 2. GIMP opstarten

## 1. GIMP uitvoeren

Gewoonlijk start u GIMP op ofwel door te klikken op het pictogram van GIMP op uw bureaublad (indien beschikbaar), het te selecteren uit een menu, of door gimp te typen op een opdrachtregel. Als u meerdere versies van GIMP hebt geïnstalleerd, zou u misschien het exacte versienummer toe moeten voegen: gimp-3.0.

U kunt, als u dat wilt, op de opdrachtregel, na de naam van het programma, een lijst opgeven van bestandsnamen van afbeeldingen zodat GIMP automatisch die bestanden opent nadat het is gestart. Het is ook mogelijk om bestanden te openen vanuit GIMP als dat eenmaal wordt uitgevoerd, met het dialoogvenster Afbeelding openen.

De meeste besturingssystemen ondersteunen bestandsassociaties, die een klasse van bestanden (bepaald door de extensie van hun bestandsnaam, zoals .jpg) associeert met een corresponderende toepassing (zoals GIMP). Wanneer afbeeldingsbestanden juist zijn “geassocieerd” met GIMP, kunt u dubbelklikken op een afbeelding in uw bestandsbrowser om het te openen in GIMP.

Als u de Flatpak versie van GIMP van flathub.org hebt geïnstalleerd, dan start u GIMP door op een pictogram te klikken, of door flatpak run org.gimp.GIMP//stable op een opdrachtregel te typen.

### 1.1. De taal veranderen

GIMP detecteert en gebruikt automatisch de systeemtaal. In het onwaarschijnlijke geval dat het detecteren van de taal mislukt, of als u een andere taal wilt gebruiken, is de gemakkelijkste manier om de taal, die wordt gebruikt in de Voorkeuren Interface, te wijzigen: Bewerken → Voorkeuren en ga dan naar het gedeelte Interface; Taal kan bovenin worden ingesteld.

Als u er de voorkeur aan geeft om de taal te wijzigen door omgevingsvariabelen in te stellen, kunt u gebruiken:

In Linux

  In LINUX: in modus console, typ `LANGUAGE=en gimp` of `LANG=en gimp` vervang en door fr, de, etc. overeenkomstig de taal die u wilt gebruiken. Achtergrond: Gebruiken van `LANGUAGE=en` stelt een omgevingsvariabele in voor het uitgevoerde programma `gimp`.

Onder Windows

  Configuratiepaneel → Systeem → Geavanceerd → Omgeving knop in gebied “Systeemvariabelen”: knop Nieuw: Voer in LANG voor de Naam en fr, de, etc. voor de Waarde. Kijk uit! U moet klikken op OK, drie keer achter elkaar, om uw keuze geldig te laten zijn.

  Als u vaak van taal verandert, kunt u een batchbestand maken om de taal te wijzigen. Open NotePad. Type de volgende opdrachten (voor Frans bijvoorbeeld):

  `set lang=fr
  start gimp-3.0.exe`

  Sla dit bestand op als `GIMP-FR.BAT` (of met een andere naam, maar altijd met de extensie `.BAT`). Maak een snelkoppeling en sleep die naar uw bureaublad.

Onder Apple macOS

  Vanuit Systeeminstellingen, klik op Algemeen in de zijbalk. Selecteer dan Taal Regio. De gewenste taal zou de eerste in de lijst moeten zijn.

Nog een instantie van GIMP

  U kunt de parameter voor de opdrachtregel `-n` gebruiken om meerdere instanties van GIMP uit te voeren. Bijvoorbeeld: `gimp-3.0` start GIMP in de standaard systeemtaal en `LANGUAGE=en gimp-3.0 -n` start een andere instantie van GIMP in het Engels. Dat kan voor vertalers heel erg handig zijn.

### 1.2. Argumenten op de opdrachtregel

Hoewel argumenten voor de opdrachtregel niet zijn vereist voor het opstarten van GIMP, kunnen zij nuttig zijn in bepaalde situaties. Op een systeem van Unix kunt u `man gimp` gebruiken voor een volledige lijst.

Deze argumenten moeten worden toegevoegd aan de opdrachtregel die u gebruikt om GIMP te starten als gimp-3.0 [OPTIE…] [FILE|URI…], waar “OPTIE…” een of meer van de argumenten mag zijn die hieronder zijn vermeld, gevolgd door een of meer bestandsnamen.

-?, ,-h, --help

  Geeft een lijst weer van alle opties voor de opdrachtregel.

--help-all

  Alle help-opties tonen.

--help-gegl

  Alle opties voor GEGL tonen.

--help-gtk

  De GTK+ help opties tonen.

-v, --version

  Laat het versienummer van de gebruikte GIMP-versie zien.

--license

  Licentie gegevens tonen en stoppen.

--verbose

  Uitgebreidere opstartberichten tonen.

-n, --new-instance

  Een nieuw exemplaar van GIMP starten.

-a, --as-new

  Afbeeldingen openen als nieuwe.

-i, --no-interface

  Uitvoeren zonder gebruikersscherm.

-d, --no-data

  Geen patronen, kleurverlopen, paletten of penselen laden. Vaak nuttig in niet-interactieve situaties waar tijd voor opstarten moet worden geminimaliseerd.

-f, --no-fonts

  Geen lettertypes laden. Dit is nuttig om GIMP sneller te laden voor scripts die geen lettertypen gebruiken, of om problemen te zoeken die zijn gerelateerd aan beschadigde lettertypen die GIMP laten hangen.

-s, --no-splash

  Laat het opstartscherm niet zien.

--no-shm

  Geen gedeeld geheugen gebruiken tussen GIMP en plug-ins.

--no-cpu-accel

  Geen speciale functies voor CPU-versnelling gebruiken. Nuttig voor het vinden of uitschakelen van problematische geaccelereerde hardware of functies.

--session=`name`

  Gebruik een ander bestand `sessionrc` voor deze sessie van GIMP. De opgegeven naam voor de sessie wordt toegevoegd aan de standaard bestandsnaam van `sessionrc`.

-g, --gimprc=`bestandsnaam`

  Gebruik een alternatief bestand `gimprc` in plaats van het standaard. Het bestand `gimprc` bevat een record met uw voorkeuren. Nuttig in gevallen waarin paden voor plug-ins of specificaties voor machines anders zouden kunnen zijn.

--system-gimprc=`filename`

  Gebruik een alternatief systeembestand `gimprc`.

-b, --batch=`commands`

  Voer de set opdrachten niet interactief uit. De set opdrachten is gewoonlijk in de vorm van een script dat kan worden uitgevoerd door een van de scripting interpreters van GIMP. Als de opdracht is `-`, worden opdrachten gelezen vanuit de standaard invoer.

--batch-interpreter=`proc`

  Specificeer de procedure om te gebruiken voor opdrachten van batch-verwerking. De standaard procedure is Script-Fu.

--quit

  Stop onmiddellijk na het uitvoeren van de gevraagde acties

-c, --console-messages

  Geef geen dialoogvakken weer voor fouten of waarschuwingen. Druk in plaats daarvan de berichten af op het scherm.

--pdb-compat-mode=`modus`

  PDB compatibiliteitsmodus (off|on|warn).

--stack-trace-mode=`modus`

  Debuggen in geval van een crash (never|query|always).

--debug-handlers

  Niet-fatale debugsignaal afhandeling inschakelen Nuttig voor debuggen van GIMP.

--g-fatal-warnings

  Alle waarschuwingen fataal laten zijn Nuttig voor debuggen.

--dump-gimprc

  Exporteer een gimprc-bestand met standaard instellingen Nuttig als u het bestand gimprc hebt beschadigd.

--show-playground

  Een voorkeurenpagina met experimentele functies weergeven.

--display=`weergave`

  Gebruik het opgegeven X-scherm (dit kan niet op alle platforms).

### 1.3. Configuratiemap

Indien voor het eerst uitgevoerd, maakt GIMP een configuratiemap. Alle informatie over de configuratie is opgeslagen in die map. Als u de map verplaatst of hernoemt, herhaalt GIMP het initiële proces voor de configuratie en maakt een nieuwe configuratiemap.

De exacte locatie van uw configuratiemap is afhankelijk van uw besturingssysteem:

Onder Linux

  `$XDG_CONFIG_HOME`

  Gewoonlijk: `$HOME/.config/GIMP/3.0/`

Onder Microsoft Windows:

  `%APPDATA%`

  Gewoonlijk: `C:\Users\GEBRUIKERSNAAM\AppData\Roaming\GIMP\3.0\`

Onder Apple macOS

  `NSApplicationSupportDirectory`

  Gewoonlijk: `~/Library/Application Support/GIMP/3.0/`

### 1.4. Tips en trucs

Gewoon een paar suggesties voordat u begint:

- GIMP kan tips verschaffen die u op elk moment kunt lezen met de opdracht in het menu Hulp → Tip van de dag. De tips verschaffen informatie die als nuttig wordt beschouwd, maar niet gemakkelijk te leren door te experimenteren; zij zijn het dus waard om gelezen te worden. Overweeg om de tips te lezen als u daar eens wat tijd voor heeft.

- Als u op enig punt probeert iets te doen en GIMP lijkt plotseling te zijn gestopt met functioneren, zou het gedeelte Vastlopen oplossen in staat kunnen zijn om u te helpen.

- Vergeet niet om het dialoogvenster Voorkeuren te bekijken. GIMP is in grote mate aan te passen. Er zijn heel veel instellingen die u kunt aanpassen aan uw persoonlijke voorkeuren.

2. Wat is nieuw in GIMP? |  | Hoofdstuk 3. Eerste stappen met GIMP

Report a bug in GIMP Rapporteer een fout in de documentatie